<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('tiger_claw_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'tiger_claw_cf7_theme_setup9', 9 );
	function tiger_claw_cf7_theme_setup9() {

		if (is_admin()) {
			add_filter( 'tiger_claw_filter_tgmpa_required_plugins',			'tiger_claw_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'tiger_claw_cf7_tgmpa_required_plugins' ) ) {
	function tiger_claw_cf7_tgmpa_required_plugins($list=array()) {
		if (in_array( 'contact-form-7', tiger_claw_storage_get('required_plugins'))) 
			$list[] = array(
					'name' 		=> esc_html__('Contact Form 7', 'tiger-claw'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
		return $list;
	}
}


// Check if cf7 installed and activated
if ( !function_exists( 'tiger_claw_exists_cf7' ) ) {
	function tiger_claw_exists_cf7() {
		return class_exists('WPCF7');
	}
}

if ( ! function_exists( 'tiger_claw_skin_wpcf7_autop_or_not' ) ) {
    add_filter( 'wpcf7_autop_or_not', 'tiger_claw_skin_wpcf7_autop_or_not' );
    function tiger_claw_skin_wpcf7_autop_or_not() {
        return false;
    }
}

?>