<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tiger_claw_elegro_payment_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'tiger_claw_elegro_payment_theme_setup9', 9 );
    function tiger_claw_elegro_payment_theme_setup9() {
        if ( tiger_claw_exists_elegro_payment() ) {
            add_action( 'wp_enqueue_scripts',               'tiger_claw_elegro_payment_frontend_scripts', 1100 );
            add_filter( 'tiger_claw_filter_merge_styles',   'tiger_claw_elegro_payment_merge_styles' );
        }
        if ( is_admin() ) {
            add_filter( 'tiger_claw_filter_tgmpa_required_plugins', 'tiger_claw_elegro_payment_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tiger_claw_elegro_payment_tgmpa_required_plugins' ) ) {
    function tiger_claw_elegro_payment_tgmpa_required_plugins( $list = array() ) {
        if ( in_array( 'elegro-payment', tiger_claw_storage_get( 'required_plugins' )))
            $list[] = array(
                'name'      => esc_html__( 'Elegro Crypto Payment', 'tiger-claw' ),
                'slug'      => 'elegro-payment',
                'required'  => false,
            );
        return $list;
    }
}

// Check if this plugin installed and activated
if ( ! function_exists( 'tiger_claw_exists_elegro_payment' ) ) {
    function tiger_claw_exists_elegro_payment() {
        return class_exists( 'WC_Elegro_Payment' );
    }
}

// Merge custom styles
if ( ! function_exists( 'tiger_claw_elegro_payment_merge_styles' ) ) {
    function tiger_claw_elegro_payment_merge_styles( $list ) {
        $list[] = 'plugins/elegro-payment/elegro-payment.css';
        return $list;
    }
}

// Enqueue custom styles
if ( !function_exists( 'tiger_claw_elegro_payment_frontend_scripts' ) ) {
	
	function tiger_claw_elegro_payment_frontend_scripts() {
		if (tiger_claw_exists_mailchimp()) {
			if (tiger_claw_is_on(tiger_claw_get_theme_option('debug_mode')) && tiger_claw_get_file_dir('plugins/elegro-payment/elegro-payment.css')!='')
				wp_enqueue_style( 'tiger-claw-elegro-payment',  tiger_claw_get_file_url('plugins/elegro-payment/elegro-payment.css'), array(), null );
		}
	}
}

?>