<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( !function_exists( 'tiger_claw_tribe_events_get_css' ) ) {
	add_filter( 'tiger_claw_filter_get_css', 'tiger_claw_tribe_events_get_css', 10, 4 );
	function tiger_claw_tribe_events_get_css($css, $colors, $fonts, $scheme='') {
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title {
	{$fonts['h3_font-family']}
}

.tribe-events-cal-links .tribe-events-button,
.tribe-events-c-nav__list a,
.tribe-events-c-nav__list button,
.tribe-events-calendar-list-nav .tribe-events-c-nav__list-item a,
.tribe-events .tribe-events-c-ical__link,
.tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text,
#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

.tribe-common .tribe-common-b3,
.tribe-common .tribe-common-h7, 
.tribe-common .tribe-common-h8,
.tribe-events .datepicker .month, 
.tribe-events .datepicker .year,
.tribe-events .datepicker .day, 
.tribe-events .datepicker .dow,
.tribe-events .datepicker .datepicker-switch,
.tribe-common .tribe-common-h3,
.tribe-common .tribe-common-c-btn-border-small, 
.tribe-common a.tribe-common-c-btn-border-small,
.tribe-common .tribe-common-c-btn, 
.tribe-common a.tribe-common-c-btn,
.tribe-events .tribe-events-c-view-selector__list-item-text,
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}

.tribe-events-content,
.tribe-events-event-meta,
.tribe-common .tribe-common-h4,
.tribe-common .tribe-common-b2{
	{$fonts['button_font-family']}
}
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-common .tribe-common-h5, .tribe-common .tribe-common-h6,
.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2 {
	{$fonts['h5_font-family']}
}
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input, .tribe-common .tribe-common-form-control-text__input,
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

CSS;

			
			$rad = tiger_claw_get_border_radius();
			$css['fonts'] .= <<<CSS

CSS;
		}


		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['text_dark']};
	border-color: {$colors['text_dark']};
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}
.datepicker thead th:hover{
	background: {$colors['text_hover']};
}
#tribe-bar-views .tribe-bar-views-option {
	color: {$colors['bg_color']};
}

#tribe-bar-views .tribe-bar-views-option:hover,
#tribe-bar-views .tribe-bar-views-option.tribe-bar-active {
	background: {$colors['text_link']};
}
#tribe-bar-views .tribe-bar-views-toggle  {
	color: {$colors['bg_color']};
	background: {$colors['text_link']};
}
#tribe-bar-views .tribe-bar-views-list {
	color: {$colors['bg_color']};
	background: {$colors['text_hover']};
}
#tribe-bar-collapse-toggle:focus, #tribe-bar-collapse-toggle:hover {
	background: {$colors['text_hover']} !important;
}


/* Content */
.tribe-events-calendar thead th {
	color: {$colors['bg_color']};
	background: {$colors['text_dark']} !important;
	border-color: {$colors['text_dark']} !important;
}
.tribe-events-calendar thead th + th:before {
	background: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td {
	border-color: {$colors['bd_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_dark']};
}
.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['alter_bg_color']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['bg_color']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], .tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_light']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_link']};
}
.tribe-events-calendar td.tribe-events-present:before {
	border-color: {$colors['text_link']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text_link']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}

/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['alter_bg_color']};
}
#tribe-events-content .tribe-events-tooltip h4 { 
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['text_light']};
}

/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['bg_color']};
	border-color: {$colors['text_dark']};
	background: {$colors['text_dark']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5 {
	color: {$colors['bg_color']};
	background: {$colors['text_dark']};
}

/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['alter_bg_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}


.sc_events_detailed .sc_events_item .item_date_wrap {
	color: {$colors['text_dark']};
}
.sc_events_detailed .sc_events_item .item_title {
	color: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-subscribe-dropdown button.tribe-events-c-subscribe-dropdown__button-text,
.tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text,
.tribe-events-c-ical__link,
.tribe-events-calendar-list-nav .tribe-events-c-nav__list-item a,
.tribe-common .tribe-common-c-btn-border-small, 
.tribe-common a.tribe-common-c-btn-border-small,
.tribe-common .tribe-common-c-btn, 
.tribe-common a.tribe-common-c-btn{
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_hover']};
}
.tribe-events-c-nav__list a{
	color: {$colors['inverse_hover']}!important;
	background-color: {$colors['text_hover']};
}

.tribe-common .tribe-events-c-ical__link .tribe-common-c-svgicon{
	color: {$colors['inverse_hover']};
}
.tribe-events-c-nav__list button[disabled],
.tribe-events-calendar-list-nav .tribe-events-c-nav__list-item button[disabled]{
	color: {$colors['inverse_hover']}!important;
}

.tribe-events .tribe-events-c-nav__next:hover .tribe-events-c-nav__next-icon-svg path,
.tribe-events .tribe-events-c-nav__next-icon-svg path,
.tribe-events .tribe-events-c-nav__prev-icon-svg path,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__prev-icon-svg path{
	fill: {$colors['inverse_hover']}!important;
}

.tribe-events .tribe-events-c-search__button:focus,
.tribe-events .tribe-events-c-search__button:hover,
.tribe-events button.tribe-events-c-search__button:focus,
.tribe-events button.tribe-events-c-search__button:hover,
.tribe-events .tribe-events-calendar-month__multiday-event-bar-inner,
.tribe-events-c-nav__list a:hover,
.tribe-events .tribe-events-c-subscribe-dropdown button.tribe-events-c-subscribe-dropdown__button-text:hover,
.tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text:hover,
.tribe-events-c-ical__link:hover,
.tribe-events-calendar-list-nav .tribe-events-c-nav__list-item a:hover,
.tribe-events .datepicker .day.active, .tribe-events .datepicker .day.active.focused, 
.tribe-events .datepicker .day.active:focus, 
.tribe-events .datepicker .day.active:hover, 
.tribe-events .datepicker .month.active, 
.tribe-events .datepicker .month.active.focused, 
.tribe-events .datepicker .month.active:focus, 
.tribe-events .datepicker .month.active:hover, 
.tribe-events .datepicker .year.active, 
.tribe-events .datepicker .year.active.focused, 
.tribe-events .datepicker .year.active:focus, 
.tribe-events .datepicker .year.active:hover,
.tribe-common .tribe-common-c-btn-border-small:hover, 
.tribe-common a.tribe-common-c-btn-border-small:hover,
.tribe-common .tribe-common-c-btn:hover, 
.tribe-common a.tribe-common-c-btn:hover{
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
.tribe-events .tribe-events-calendar-month__mobile-events-icon--event{
	background-color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__mobile-events-icon--event{
	background-color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-calendar-month__day-cell--selected, .tribe-events .tribe-events-calendar-month__day-cell--selected:focus, .tribe-events .tribe-events-calendar-month__day-cell--selected:hover{
	background-color: {$colors['text_link']}!important;
}
.tribe-common .tribe-common-h8.tribe-events-calendar-month__multiday-event-bar-title{
	color: {$colors['inverse_link']};
}
.tribe-common .tribe-common-anchor-thin-alt:hover{
	color: {$colors['text_link']};
}

.tribe-common .tribe-common-anchor-thin-alt:hover{
	border-color: {$colors['text_link']};
}

.tribe-events-meta-group .tribe-events-single-section-title,
.tribe-events .tribe-events-calendar-month__day-date-link,
.tribe-common .tribe-common-anchor-thin-alt,
.tribe-common .tribe-events-c-messages__message--notice .tribe-common-c-svgicon,
.tribe-common .tribe-common-h7, 
.tribe-common .tribe-common-h8,
.tribe-common .tribe-common-h3,
.tribe-events .tribe-events-c-view-selector__list-item-text{
	color: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-view-selector__button:before,
.tribe-events .tribe-events-c-events-bar__search-button:before,
.tribe-common .tribe-common-anchor-thin-alt{
	border-color: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-view-selector__button:before,
.tribe-events .tribe-events-c-events-bar__search-button:before,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-view-selector--tabs .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link:after{
	background-color: {$colors['text_dark']};
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input,
 .tribe-common .tribe-common-form-control-text__input{
	color: {$colors['text']};
}

.single-tribe_events .tribe-events-single .tribe-events-event-meta,
.tribe-events-content,
.tribe-common .tribe-common-b3.tribe-events-calendar-month__calendar-event-tooltip-description,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.tribe-common .tribe-common-b2{
	color: {$colors['text_light']};
}
.tribe-events .tribe-events-c-events-bar__search-container,
.tribe-events .tribe-events-c-view-selector__content{
	background-color: {$colors['input_bg_color']};
}

input.tribe-common-form-control-text__input:focus{
	background-color: {$colors['input_bg_color']};
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a:focus{
	color: {$colors['inverse_hover']};
}

.tribe-events-event-meta a:visited{
	color: {$colors['text_link']};
}

.tribe-common:not( .tribe-events-view--shortcode ) .tribe-common-c-svgicon,
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date, 
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link {
	color: {$colors['text_link']};
}

.tribe-events .datepicker .day.past,
.tribe-events .datepicker .month.past,
.tribe-events .datepicker .day.past,
.tribe-events .datepicker .year {
	color: {$colors['text']};
}

.tribe-events .datepicker .day.focused,
.tribe-events .datepicker .day:focus,
.tribe-events .datepicker .day:hover,
.tribe-events .datepicker .month.focused,
.tribe-events .datepicker .month:focus,
.tribe-events .datepicker .month:hover,
.tribe-events .datepicker .year.focused,
.tribe-events .datepicker .year:focus,
.tribe-events .datepicker .year:hover {
	background-color: {$colors['input_bg_color']};
}

.tribe-events .tribe-events-calendar-month__day-date-daynum,
.tribe-events .datepicker .datepicker-switch,
.tribe-events .datepicker .day,
.tribe-events .datepicker .month,
.tribe-events .datepicker .year,
.tribe-events .datepicker .dow,
.tribe-common .tribe-common-h5, .tribe-common .tribe-common-h6,
.tribe-events .tribe-events-calendar-list__event-datetime,
.tribe-common .tribe-common-anchor-thin {
	color: {$colors['text_dark']};
}

.tribe-events .datepicker .datepicker-switch:focus,
.tribe-events .datepicker .datepicker-switch:hover {
	color: {$colors['text_link']};
}

.tribe-events .datepicker .next .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['text_dark']};
}

.tribe-events .datepicker .next:active .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .next:focus .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .next:hover .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:active .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:focus .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:hover .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-list__event-date-tag-weekday {
	color: {$colors['text']} !important;
}

.tribe-common .tribe-common-anchor-thin:hover {
	color: {$colors['text_link']};
}

.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list {
	background: {$colors['input_bg_color']};
	background: {$colors['input_bg_color']};
}


CSS;
		}
		
		return $css;
	}
}
?>