<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('tiger_claw_yith_woocommerce_compare_theme_setup9')) {
	add_action('after_setup_theme', 'tiger_claw_yith_woocommerce_compare_theme_setup9', 9);
	function tiger_claw_yith_woocommerce_compare_theme_setup9() {
		if (is_admin()) {
			add_filter( 'tiger_claw_filter_tgmpa_required_plugins',		'tiger_claw_yith_woocommerce_compare_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'tiger_claw_exists_yith_woocommerce_compare' ) ) {
    function tiger_claw_exists_yith_woocommerce_compare() {
        return class_exists( 'YITH_WOOCOMPARE' );
    }
}



// Filter to add in the required plugins list
if ( ! function_exists( 'tiger_claw_yith_woocommerce_compare_tgmpa_required_plugins' ) ) {
    function tiger_claw_yith_woocommerce_compare_tgmpa_required_plugins( $list = array() ) {
        if ( in_array( 'yith-woocommerce-compare', tiger_claw_storage_get('required_plugins')))
            $list[] = array(
                'name'     => esc_html__( 'YITH WooCommerce Compare', 'tiger-claw' ),
                'slug'     => 'yith-woocommerce-compare',
                'required' => false,
            );
        return $list;
    }
}


// Set plugin's specific importer options
if ( !function_exists( 'tiger_claw_yith_woocommerce_compare_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'tiger_claw_yith_woocommerce_compare_importer_set_options' );
    function tiger_claw_yith_woocommerce_compare_importer_set_options($options=array()) {
        if ( tiger_claw_exists_yith_woocommerce_compare() && in_array('yith-woocommerce-compare', $options['required_plugins']) ) {
            $options['additional_options'][]    = 'yith_woocompare_%';
        }
        return $options;
    }
}
?>