<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tiger_claw_yith_wcwl_wishlist_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'tiger_claw_yith_wcwl_wishlist_theme_setup9', 9 );
    function tiger_claw_yith_wcwl_wishlist_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'tiger_claw_filter_tgmpa_required_plugins', 'tiger_claw_yith_wcwl_wishlist_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tiger_claw_yith_wcwl_wishlist_tgmpa_required_plugins' ) ) {
    function tiger_claw_yith_wcwl_wishlist_tgmpa_required_plugins( $list = array() ) {
        if ( in_array( 'yith-woocommerce-wishlist', tiger_claw_storage_get('required_plugins')))
            $list[] = array(
                'name'     => esc_html__( 'YITH WooCommerce Wishlist', 'tiger-claw' ),
                'slug'     => 'yith-woocommerce-wishlist',
                'required' => false,
            );
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'tiger_claw_exists_yith_wcwl_wishlist' ) ) {
    function tiger_claw_exists_yith_wcwl_wishlist() {
        return class_exists( 'YITH_WCWL' );
    }
}

// Set plugin's specific importer options
if ( !function_exists( 'tiger_claw_yith_wcwl_wishlist_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'tiger_claw_yith_wcwl_wishlist_importer_set_options' );
    function tiger_claw_yith_wcwl_wishlist_importer_set_options($options=array()) {
        if ( tiger_claw_exists_yith_wcwl_wishlist() && in_array('yith-woocommerce-wishlist', $options['required_plugins']) ) {
            $options['additional_options'][]    = 'yith_wcwl_%';
        }
        return $options;
    }
}
?>