/* global jQuery:false */
/* global TRX_ADDONS_STORAGE:false */

jQuery(document).on('action.ready_trx_addons', function() {

	"use strict";

	var $document = jQuery( document ),
		$body = jQuery( 'body' );

		if ( ! $body.hasClass( 'added_to_cart_inited' ) ) {

		$body.addClass( 'added_to_cart_inited' );

		var $sc_cart = jQuery( '.sc_layouts_cart' ),
			$cart_button = jQuery( '.sc_layouts_cart_button_wrap' );

		// Added to cart
		if ( $sc_cart.length > 0 ) {

			// WooCommerce Cart: Update amount on the cart button
			jQuery( document.body ).on( 'wc_fragments_refreshed wc_fragments_loaded update_cart added_to_cart removed_from_cart', function(e) {

				jQuery( '.widget_shopping_cart' ).each( function() {
					var $widget = jQuery( this );

					// Update amount value on the cart button
					var total = 0;
					var $total = $widget.find( '.total .amount' );
					if ( ! $total.length ) {
						$total = $widget.find( '.elementor-menu-cart__subtotal .amount' );
					}
					if ( $total.length ) {
						total = $total.text();
					}
					$sc_cart.find( '.sc_layouts_cart_summa' ).text( total );

					// Update count items on the cart button
					var cnt = 0, cart_list = false;
					$widget.find( '.cart_list li' ).each( function() {
						var q = jQuery( this ).find( '.quantity' ).html().split( ' ', 2 );
						if ( ! isNaN( q[0] ) ) {
							cnt += Number( q[0] );
						}
						cart_list = true;
					} );
					if ( ! cart_list ) {
						$widget.find( '.elementor-menu-cart__product' ).each( function() {
							var q = jQuery( this ).find( '.product-quantity' ).text().split( ' ' );
							if ( ! isNaN( q[0] ) ) {
								cnt += Number( q[0] );
							}
						} );
					}
					var $items = $sc_cart.find( '.sc_layouts_cart_items' ).eq(0),
						items = $items.text().split( ' ', 2 );
					items[0] = cnt;
					$items.text( items[0] + ( items.length > 1 ? ' ' + ( cnt == 1 ? $items.data( 'item' ) : $items.data( 'items' ) ) : '' ) );
					jQuery( '.sc_layouts_cart_items_short' ).text( items[0] );
					// Update data-attr on button
					$sc_cart.data( {
						'items': cnt ? cnt : 0,
						'summa': total ? total : 0
					} );
					// Open cart panel
					if ( e.type == 'added_to_cart' ) {
						sc_layouts_cart_panel_open( $sc_cart );
					}
				} );

			} );

		// Show/Hide cart 
		jQuery('.sc_layouts_cart:not(.inited)')
			.addClass('inited')
			.on('click', '.sc_layouts_cart_icon,.sc_layouts_cart_details', function(e) {
				var widget = jQuery(this).siblings('.sc_layouts_cart_widget');
				if (widget.length > 0 && widget.text().replace(/\s*/g, '')!='') {
					jQuery(this).siblings('.sc_layouts_cart_widget').slideToggle();
				}
				e.preventDefault();
				return false;
			})
			.on('click', '.sc_layouts_cart_widget_close', function(e) {
				jQuery(this).parent().slideUp();
				e.preventDefault();
				return false;
			});
	}
}
});