<?php
/**
 * The "Announce" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = $widget_args['number'];
$count = $widget_args['count'];
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = apply_filters('trx_addons_blog_animation', '');
$grid = array(
	array('full'),
	array('full', 'full'),
	array('big', 'medium', 'big right'),
	array('big', 'medium', 'big right', 'full'),
	array('big', 'medium', 'big right', 'full', 'full'),
	array('big', 'medium', 'big right', 'big r', 'medium l', 'big right r'),
	array('big', 'medium', 'big right', 'big r', 'medium l', 'big right r', 'full'),
	array('big', 'medium', 'big right', 'big r', 'medium l', 'big right r', 'full', 'full'),
	array('big', 'medium', 'big right', 'big r', 'medium l', 'big right r', 'big', 'medium', 'big right')

);
$thumb_size = $grid[$count-$number >= 8 ? 8 : ($count-1)%8][($number-1)%8];
if((int)$count > 9) $count = 9;
$thumb_size = $grid[$count-$number >= 9 ? 9 : ($count-1)%9][($number-1)%9];

?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style)
					.' post_format_'.esc_attr($post_format)
					.' post_size_'.esc_attr($thumb_size)
					); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	>
	<?php
	if ( has_post_thumbnail() ) {
		?>
		<div class="post_featured">
			<?php
			$trx_addons_src = trx_addons_get_attachment_url( get_post_thumbnail_id( get_the_ID() ), 'full' );
			?><span class="post_thumb" style="background-image: url(<?php echo esc_url($trx_addons_src); ?>)"></span>
		</div><!-- .post_featured -->
	<?php
	}
	?>

	<div class="post_des">
		<div class="cat_post_info"><span class="post_categories"><?php echo trx_addons_get_post_categories(); ?></span></div>
		<?php if(!in_array(get_post_type(), array('aside', 'chat', 'status', 'link', 'quote'))) { ?>
			<h5 class="post_title entry-title"><a href="<?php echo esc_url(get_permalink()); ?>" rel="bookmark"><?php echo get_the_title(); ?></a></h5>
			<div class="post_info">
				<span class="post_meta_date"><?php echo get_the_date(); ?></span>
					<?php
					if (!is_singular() || have_comments() || comments_open()) {
					$post_comments = get_comments_number();
					echo '<span class="post_counters_comments">'
						. '<span class="post_counters_number">'	. trim($post_comments) . '</span>'
						. '<span class="post_counters_label">' . _n( 'Comment', 'Comments', $post_comments, 'trx_addons' ) . '</span></span>';
					}
					?>
			</div>

		<?php
		}
		?>
		<div class="post_des_bottom">
		<?php
		echo in_array(get_post_type(), array('quote', 'link', 'chat', 'aside', 'status'))
				? get_the_excerpt()
				: mb_substr( strip_tags( get_the_excerpt() ), 0, 65 ).'...';
		?>
		</div>
		<?php
		// More button
		if (!in_array(get_post_type(), array('aside', 'chat', 'status', 'link', 'quote'))) {
			?><a class="sc_button sc_button_default sc_button_size_mini" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'trx_addons'); ?></a><?php
		}

		?>
	</div>

</article>